Bug 1413872 - Screen displays upside down when booting laptop with external screen attached
Summary: Screen displays upside down when booting laptop with external screen attached
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 08:23 UTC by wouter
Modified: 2017-12-12 10:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:54:15 UTC
Type: Bug


Attachments (Terms of Use)

Description wouter 2017-01-17 08:23:25 UTC
Description of problem:

Booting a laptop with an external screen attached, will show the laptop screen up-side-down.

Version-Release number of selected component (if applicable):
Fedora 25, upgrade from 24

How reproducible:
Boot laptop (hp g3-450) with external screen attached and GDM will display screen upside down. This happend every time if an external screen is attached.


Steps to Reproduce:
1. Boot laptop, with screen attached
2.
3.

Actual results:
GDM screen is upside down

Expected results:
Normal screen


Additional info:
Logging in (using X and not Wayland!) keeps the screen up-side-down.
Visiting a terminal (ctrl-alt-f3) and switching back reverts the screen to normal position. Both when the GDM login screen is displayed, or when the X session is active.

Comment 1 Fedora End Of Life 2017-11-16 19:25:48 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:54:15 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.